Package org.drinkless.tdlib

# Class TdApi.PrepaidPremiumGiveaway

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PrepaidPremiumGiveaway

Enclosing class:
  TdApi

public static class TdApi.PrepaidPremiumGiveaway extends TdApi.Object
Describes a prepaid Telegram Premium giveaway.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `id`
  Unique identifier of the prepaid giveaway.
  `int`
  `monthCount`
  Number of months the Telegram Premium subscription will be active after code activation.
  `int`
  `paymentDate`
  Point in time (Unix timestamp) when the giveaway was paid.
  `int`
  `winnerCount`
  Number of users which will receive Telegram Premium subscription gift codes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrepaidPremiumGiveaway()`
  Describes a prepaid Telegram Premium giveaway.
  `PrepaidPremiumGiveaway(long id, int winnerCount, int monthCount, int paymentDate)`
  Describes a prepaid Telegram Premium giveaway.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Unique identifier of the prepaid giveaway.

  - ### winnerCount

    public int winnerCount
    Number of users which will receive Telegram Premium subscription gift codes.

  - ### monthCount

    public int monthCount
    Number of months the Telegram Premium subscription will be active after code activation.

  - ### paymentDate

    public int paymentDate
    Point in time (Unix timestamp) when the giveaway was paid.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PrepaidPremiumGiveaway

    public PrepaidPremiumGiveaway()
    Describes a prepaid Telegram Premium giveaway.

  - ### PrepaidPremiumGiveaway

    public PrepaidPremiumGiveaway(long id, int winnerCount, int monthCount, int paymentDate)
    Describes a prepaid Telegram Premium giveaway.
    Parameters:
      `id` - Unique identifier of the prepaid giveaway.
      `winnerCount` - Number of users which will receive Telegram Premium subscription gift codes.
      `monthCount` - Number of months the Telegram Premium subscription will be active after code activation.
      `paymentDate` - Point in time (Unix timestamp) when the giveaway was paid.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR